"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DebugCommand = void 0;
/** The values accepted by the `debug` console command. */
var DebugCommand;
(function (DebugCommand) {
    /** Draws a marker on the screen at the position of each entity. */
    DebugCommand[DebugCommand["ENTITY_POSITIONS"] = 1] = "ENTITY_POSITIONS";
    /**
     * Shows the grid cost of the corresponding grid tile. (The grid cost is used when calculating
     * pathing and collision.)
     */
    DebugCommand[DebugCommand["GRID_COST"] = 2] = "GRID_COST";
    /** Taking damage does not decrease the player's health. */
    DebugCommand[DebugCommand["INFINITE_HP"] = 3] = "INFINITE_HP";
    /** +40 damage */
    DebugCommand[DebugCommand["HIGH_DAMAGE"] = 4] = "HIGH_DAMAGE";
    /** Displays text at the bottom of the screen about the current room. */
    DebugCommand[DebugCommand["SHOW_ROOM_INFO"] = 5] = "SHOW_ROOM_INFO";
    /** Draws red circles on the screen that represent an entity's damage hitbox. */
    DebugCommand[DebugCommand["SHOW_HITSPHERES"] = 6] = "SHOW_HITSPHERES";
    /**
     * Displays how much damage is taken by entities. (This is similar to the Spider Mod effect, but
     * it leaves the damage as the raw values and also includes player damage.)
     */
    DebugCommand[DebugCommand["SHOW_DAMAGE_VALUES"] = 7] = "SHOW_DAMAGE_VALUES";
    /** The player's active item is always fully charged. */
    DebugCommand[DebugCommand["INFINITE_ITEM_CHARGES"] = 8] = "INFINITE_ITEM_CHARGES";
    /** +50 luck */
    DebugCommand[DebugCommand["HIGH_LUCK"] = 9] = "HIGH_LUCK";
    /** All enemies take constant and rapid damage. */
    DebugCommand[DebugCommand["QUICK_KILL"] = 10] = "QUICK_KILL";
    /** Displays the coordinates for each tile on the grid. */
    DebugCommand[DebugCommand["GRID_INFO"] = 11] = "GRID_INFO";
    /** Displays held collectibles and temporary collectible effects. */
    DebugCommand[DebugCommand["PLAYER_ITEM_INFO"] = 12] = "PLAYER_ITEM_INFO";
    /** Draws red circles on the screen that represent an entity's collision hitbox. */
    DebugCommand[DebugCommand["SHOW_GRID_COLLISION_POINTS"] = 13] = "SHOW_GRID_COLLISION_POINTS";
})(DebugCommand || (exports.DebugCommand = DebugCommand = {}));
