"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RoomShape = void 0;
var RoomShape;
(function (RoomShape) {
    /**
     * A "normal" room.
     *
     * The "SHAPE_" prefix is necessary because enums cannot start with a number.
     */
    RoomShape[RoomShape["SHAPE_1x1"] = 1] = "SHAPE_1x1";
    /** Narrow 1x1 horizontal. */
    RoomShape[RoomShape["IH"] = 2] = "IH";
    /** Narrow 1x1 vertical. */
    RoomShape[RoomShape["IV"] = 3] = "IV";
    /**
     * 2x1 vertical.
     *
     * The "SHAPE_" prefix is necessary because enums cannot start with a number.
     */
    RoomShape[RoomShape["SHAPE_1x2"] = 4] = "SHAPE_1x2";
    /** Narrow 2x1 vertical. */
    RoomShape[RoomShape["IIV"] = 5] = "IIV";
    /**
     * 2x1 horizontal.
     *
     * The "SHAPE_" prefix is necessary because enums cannot start with a number.
     */
    RoomShape[RoomShape["SHAPE_2x1"] = 6] = "SHAPE_2x1";
    /** Narrow 2x1 horizontal. */
    RoomShape[RoomShape["IIH"] = 7] = "IIH";
    /**
     * The biggest room type.
     *
     * The "SHAPE_" prefix is necessary because enums cannot start with a number.
     */
    RoomShape[RoomShape["SHAPE_2x2"] = 8] = "SHAPE_2x2";
    /** Looks like a "⅃" with a gap in the top-left-hand corner. */
    RoomShape[RoomShape["LTL"] = 9] = "LTL";
    /** Looks like an "L" with a gap in the top-right-hand corner. */
    RoomShape[RoomShape["LTR"] = 10] = "LTR";
    /** Looks like a "⅂" with a gap in the bottom-left-hand corner. */
    RoomShape[RoomShape["LBL"] = 11] = "LBL";
    /** Looks like a "Г" with a gap in the bottom-right-hand corner. */
    RoomShape[RoomShape["LBR"] = 12] = "LBR";
})(RoomShape || (exports.RoomShape = RoomShape = {}));
