"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DoorSlotFlagZero = exports.DoorSlotFlag = void 0;
const DoorSlot_1 = require("../DoorSlot");
/**
 * For `GridEntityType.DOOR` (16).
 *
 * This is represented as an object instead of an enum due to limitations with TypeScript enums. (We
 * want this type to be a child of the `BitFlag` type.)
 *
 * @enum
 * @notExported
 * @rename DoorSlotFlag
 */
const DoorSlotFlagInternal = {
    /** 1 << 0 (1) */
    LEFT_0: 1 << DoorSlot_1.DoorSlot.LEFT_0,
    /** 1 << 1 (2) */
    UP_0: 1 << DoorSlot_1.DoorSlot.UP_0,
    /** 1 << 2 (4) */
    RIGHT_0: 1 << DoorSlot_1.DoorSlot.RIGHT_0,
    /** 1 << 3 (8) */
    DOWN_0: 1 << DoorSlot_1.DoorSlot.DOWN_0,
    /** 1 << 4 (16) */
    LEFT_1: 1 << DoorSlot_1.DoorSlot.LEFT_1,
    /** 1 << 5 (32) */
    UP_1: 1 << DoorSlot_1.DoorSlot.UP_1,
    /** 1 << 6 (64) */
    RIGHT_1: 1 << DoorSlot_1.DoorSlot.RIGHT_1,
    /** 1 << 7 (128) */
    DOWN_1: 1 << DoorSlot_1.DoorSlot.DOWN_1,
};
exports.DoorSlotFlag = DoorSlotFlagInternal;
exports.DoorSlotFlagZero = 0;
